API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/documents/{id}/checkin

POST/v1/dms/documents/{id}/checkin

Check in a DMS document, optionally uploading a new version

Request Body

NameTypBeschreibung
fileNamestring
mimeTypestring
sizeBytesinteger
changeNotestring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/documents/{id}/checkin \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "changeNote": "string"
}'
const result = await cm.dms.post({
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "changeNote": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche